# List Apps

> Source: https://truto.one/docs/api-reference/unified-mdm-api/apps/list/

`GET /unified/mdm/apps`

Resource: **Apps** · API: **Unified MDM API**

## Supported integrations

Jamf, Kandji, Ninjaone

## Query parameters

- **`integrated_account_id`** _(string, required)_
  The ID of the integrated account to use for the request.
- **`truto_response_format`** _(string)_
  The format of the response. - `unified` returns the response with unified mappings applied. - `raw` returns the unprocessed, raw response from the remote API. - `normalized` applies the unified mappings and returns the data in a normalized format. - `stream` returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory. Defaults to `unified`.
  Allowed: `unified`, `raw`, `normalized`, `stream`
- **`truto_key_by`** _(string)_
  By default the `result` attribute is an array of objects. This parameter allows you to specify a field in each `result` objects to use as key, which transforms the `result` array into an object with the array items keyed by the field. This is useful for when you want to use the result as a lookup table.
- **`truto_ignore_limit`** _(boolean)_
  Ignores the `limit` query parameter.
- **`truto_ignore_remote_data`** _(boolean)_
  Excludes the `remote_data` attribute from the response.
- **`truto_exclude_fields`** _(array<string>)_
  Array of fields to exclude from the response.
- **`remote_query`** _(object)_
  Query parameters to pass to the underlying API without any transformations. Refer [this guide](https://truto.one/docs/api-reference/overview/querying#remote-query-parameters) to see how to structure the query parameters.
- **`device_type`** _(enum)_
  The type of the device.
  Allowed: `desktop`, `mobile`
- **`device`** _(object)_
  The device this software record is associated with

## Response body

- **`result`** _(array<object>)_
  List of Apps
  - **`id`** _(string, required)_
    The unique identifier for the installed software record
  - **`source_id`** _(string)_
    The identifier of the installed software record in the underlying product
  - **`name`** _(string)_
    The name of the software/application
  - **`version`** _(string)_
    The installed version of the software/application
  - **`publisher`** _(string)_
    The publisher or vendor of the software/application
  - **`app_id`** _(string)_
    A platform-specific application identifier. Examples: bundle identifier (macOS/iOS), package name (Android/Linux), product code or app ID (Windows), depending on the underlying product.
  - **`app_id_type`** _(string)_
    The type of application identifier provided in app_id
    Allowed: `bundle_id`, `package_name`, `product_code`, `app_id`, `unknown`
  - **`platform`** _(string)_
    The platform family of the discovered/installed application
    Allowed: `windows`, `macos`, `linux`, `ios`, `ipados`, `android`, `chromeos`, `unknown`
  - **`install_state`** _(string)_
    The installation state of the software on the device, when available from the underlying product
    Allowed: `installed`, `pending`, `failed`, `unknown`
  - **`is_managed`** _(boolean)_
    Whether the software is managed/deployed by the MDM/RMM product (as opposed to discovered/unmanaged), when available
  - **`is_system_app`** _(boolean)_
    Whether the software is a system/built-in application, when available
  - **`installed_at`** _(string)_
    The date and time the software was installed, when available
  - **`last_seen_at`** _(string)_
    The date and time the software was last observed on the device, when available
  - **`install_path`** _(string)_
    The install path of the software, when available
  - **`size_bytes`** _(integer)_
    The installed size of the software in bytes, when available
  - **`device`** _(object)_
    The device this software record is associated with
    - **`id`** _(string, required)_
      The unique identifier for a device
  - **`tags`** _(array<string>)_
    Tags/labels associated with the installed software record
  - **`created_at`** _(string)_
    The date and time the installed software record was created
  - **`updated_at`** _(string)_
    The date and time the installed software record was last updated
  - **`remote_data`** _(object)_
    Raw data returned from the remote API call.
- **`next_cursor`** _(string)_
  The cursor to use for the next page of results. Pass this value as `next_cursor` in the query parameter in the next request to get the next page of results.

## Code examples

### curl

```bash
curl -X GET 'https://api.truto.one/unified/mdm/apps?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
```

### JavaScript

```javascript
const integratedAccountId = '<integrated_account_id>';

const response = await fetch(`https://api.truto.one/unified/mdm/apps?integrated_account_id=${integratedAccountId}`, {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

url = "https://api.truto.one/unified/mdm/apps"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}

response = requests.get(url, headers=headers, params=params)
print(response.json())
```

### Truto TS SDK

```typescript
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.list(
  'mdm',
  'apps',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
```

### Truto Python SDK

```python
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    async for item in truto_api.unified_api.list(
        "mdm",
        "apps",
        {"integrated_account_id": "<integrated_account_id>"}
    ):
        print(item)

asyncio.run(main())
```
